--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Calculate the number of digits in an integer.
- !ruby/struct:SM::Flow::P 
  body: "1.length #=&gt; 1 10.length #=&gt; 2 100.length #=&gt; 3"
- !ruby/struct:SM::Flow::P 
  body: "CREDIT: Victor H. Goff III"
constants: []

full_name: Integer
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: bit
- !ruby/object:RI::MethodSummary 
  name: bit!
- !ruby/object:RI::MethodSummary 
  name: bit?
- !ruby/object:RI::MethodSummary 
  name: bitmask
- !ruby/object:RI::MethodSummary 
  name: bitmask!
- !ruby/object:RI::MethodSummary 
  name: bitmask?
- !ruby/object:RI::MethodSummary 
  name: clear_bit
- !ruby/object:RI::MethodSummary 
  name: even?
- !ruby/object:RI::MethodSummary 
  name: fac
- !ruby/object:RI::MethodSummary 
  name: factorial
- !ruby/object:RI::MethodSummary 
  name: length
- !ruby/object:RI::MethodSummary 
  name: multiple?
- !ruby/object:RI::MethodSummary 
  name: odd?
- !ruby/object:RI::MethodSummary 
  name: of
- !ruby/object:RI::MethodSummary 
  name: ordinal
- !ruby/object:RI::MethodSummary 
  name: ordinalize
- !ruby/object:RI::MethodSummary 
  name: pred
- !ruby/object:RI::MethodSummary 
  name: round_at
- !ruby/object:RI::MethodSummary 
  name: round_to
- !ruby/object:RI::MethodSummary 
  name: succ
- !ruby/object:RI::MethodSummary 
  name: times_collect
- !ruby/object:RI::MethodSummary 
  name: times_map
name: Integer
superclass: Object
